- job:
    name: ldcg-python-pytorch-vision
    project-type: matrix
    defaults: global
    axes:
        - axis:
            type: slave
            name: nodes
            values:
                - docker-centos8-arm64-ldcg
                - docker-buster-arm64-ldcg
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 7
            num-to-keep: 7
    disabled: false
    display-name: 'Pytorch Python package'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-python-pytorch-vision/build.sh
        - shell:
            !include-raw: ldcg-python-pytorch-vision/publishers.sh
    publishers:
        - email:
            recipients: 'paul.isaacs@linaro.org marcin.juszkiewicz@linaro.org tom.gall@linaro.org'
